class SelectorTiradaEnvio {

    constructor(container, id, tirada) {

        this.container = container;
        this.tirada = tirada;
        this.card = this.#generateHTML(id, tirada);
        this.container.append(this.card);
    }

    #generateHTML(id, tirada) {


        var $checkboxContainer = $('<div>', {
            class: 'checkbox-presupuesto-tiradas-envio mb-md-0 mb-3'
        });
    
        // Crear el segundo div con clase form-check
        var $formCheckDiv = $('<div>', {
            class: 'form-check custom-option custom-option-icon tirada-envio'
        });
    
        // Crear el label
        var $label = $('<label>', {
            class: 'form-check-label custom-option-content',
            for: id
        });
    
        // Crear los spans para el título
        var $spanBody = $('<span>', { class: 'custom-option-body' });
        var $spanTitle = $('<span>', { class: 'custom-option-title', text: tirada + ' ud.' });
    
        // Crear el input radio
        var $inputRadio = $('<input>', {
            id: id,
            name: 'customRadioTiradaEnvio',
            class: 'check-tirada-envio form-check-input',
            type: 'radio',
            tirada: tirada,
            value: ''
        });
    
        // Añadir el span del título al span del cuerpo
        $spanBody.append($spanTitle);
    
        // Añadir los elementos al label
        $label.append($spanBody).append($inputRadio);
    
        // Añadir el label al div form-check
        $formCheckDiv.append($label);
    
        // Añadir el form-check div al contenedor principal
        $checkboxContainer.append($formCheckDiv);

        return $checkboxContainer;
    }
}

export default SelectorTiradaEnvio;